Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.util
Class DummyLock

    java.lang.Object
      org.apache.tapestry5.ioc.internal.util.DummyLock

All Implemented Interfaces:
  java.util.concurrent.locks.Lock

    public class DummyLock

extends java.lang.Object
implements java.util.concurrent.locks.Lock

Acts like a Lock but all operations are no-ops.

Constructor Summary
`DummyLock()`

Method Summary
`void` | `lock()`
`void` | `lockInterruptibly()`
`java.util.concurrent.locks.Condition` | `newCondition()` Returns null.
`boolean` | `tryLock()`
`boolean` | `tryLock(long time, java.util.concurrent.TimeUnit unit)`
`void` | `unlock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyLock

    public DummyLock()

Method Detail

### lock

    public void lock()

  Specified by:
    `lock` in interface `java.util.concurrent.locks.Lock`

### lockInterruptibly

    public void lockInterruptibly()
                           throws java.lang.InterruptedException

  Specified by:
    `lockInterruptibly` in interface `java.util.concurrent.locks.Lock`
  Throws:
    `java.lang.InterruptedException`

### newCondition

    public java.util.concurrent.locks.Condition newCondition()

  Returns null.

  Specified by:
    `newCondition` in interface `java.util.concurrent.locks.Lock`

### tryLock

    public boolean tryLock()

  Specified by:
    `tryLock` in interface `java.util.concurrent.locks.Lock`
  Returns:
    true

### tryLock

    public boolean tryLock(long time,
                           java.util.concurrent.TimeUnit unit)
                    throws java.lang.InterruptedException

  Specified by:
    `tryLock` in interface `java.util.concurrent.locks.Lock`
  Returns:
    true
  Throws:
    `java.lang.InterruptedException`

### unlock

    public void unlock()

  Specified by:
    `unlock` in interface `java.util.concurrent.locks.Lock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.